export declare class LocalStorageService {
    set(name: string, value: string): void;
    get(name: string): string;
    setObject(name: string, value: any): void;
    getObject<T>(name: string, defaultObjectValue?: any): T;
    remove(name: string): void;
    clear(): void;
    clearStartsWith(textStartsWith: string): void;
    clearEndsWith(textEndsWith: string): void;
    clearKeyNameIncludes(includingTexts: string[]): void;
    get length(): number;
    get isEmpty(): boolean;
    clearAllLocalCache(): void;
}
